Mandriva Linux Security Advisory : freetype2 (MDVSA-2010:137)

Medium Nessus Plugin ID 48195


The remote Mandriva Linux host is missing one or more security updates.


Multiple vulnerabilities has been found and corrected in freetype2 :

Multiple integer underflows/overflows and heap buffer overflows was discovered and fixed (CVE-2010-2497, CVE-2010-2498, CVE-2010-2499, CVE-2010-2500, CVE-2010-2519).

A heap buffer overflow was discovered in the bytecode support. The bytecode support is NOT enabled per default in Mandriva due to previous patent claims, but packages by PLF is affected (CVE-2010-2520).

Packages for 2008.0 and 2009.0 are provided as of the Extended Maintenance Program. Please visit this link to learn more: 90

The updated packages have been patched to correct these issues.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 48195

File Name: mandriva_MDVSA-2010-137.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2010/07/30

Modified: 2016/05/17

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:lib64freetype6, p-cpe:/a:mandriva:linux:lib64freetype6-devel, p-cpe:/a:mandriva:linux:lib64freetype6-static-devel, p-cpe:/a:mandriva:linux:libfreetype6, p-cpe:/a:mandriva:linux:libfreetype6-devel, p-cpe:/a:mandriva:linux:libfreetype6-static-devel, cpe:/o:mandriva:linux:2008.0, cpe:/o:mandriva:linux:2009.0, cpe:/o:mandriva:linux:2009.1, cpe:/o:mandriva:linux:2010.0, cpe:/o:mandriva:linux:2010.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2010/07/18

Reference Information

CVE: CVE-2010-2497, CVE-2010-2498, CVE-2010-2499, CVE-2010-2500, CVE-2010-2519, CVE-2010-2520

BID: 41663

MDVSA: 2010:137